当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 5 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : xen3.0.2 编译
帖子发表于 : 2008-11-25 19:56 

注册: 2008-11-25 19:47
帖子: 53
送出感谢: 0 次
接收感谢: 0 次
想自己编译个xen,咋就这么难呢?

原来用apt-get install ubuntu-xen-server装了个xen玩了两天。最近想自己编译一个,网上下了一个xen 3.0.2-2的版本,编译了两天都没成功... :em20

有个错误如下,哪位帮我看看。ps:我的ubuntu版本是8.04的。

make -C tools install
make[1]: 正在进入目录 `/home/student/tmp/xen-3.0.2-2/tools'
make -C check
make[2]: 正在进入目录 `/home/student/tmp/xen-3.0.2-2/tools/check'
./chk build
Xen CHECK-BUILD 2008年 11月 25日 星期二 19:06:38 CST
Checking check_python:
*** Check for Python version >= 2.2 FAILED
Checking check_zlib_devel:
*** Check for zlib headers FAILED
Checking check_zlib_lib: OK
make[2]: *** [build] 错误 1
make[2]:正在离开目录 `/home/student/tmp/xen-3.0.2-2/tools/check'
make[1]: *** [check] 错误 2
make[1]:正在离开目录 `/home/student/tmp/xen-3.0.2-2/tools'
make: *** [install-tools] 错误 2
student@student-desktop:~/tmp/xen-3.0.2-2$


页首
 用户资料  
 
2 楼 
 文章标题 : Re: xen3.0.2 编译
帖子发表于 : 2008-11-26 15:19 

注册: 2008-11-25 19:47
帖子: 53
送出感谢: 0 次
接收感谢: 0 次
跟踪一下进展:

关于"Checking check_python: *** Check for Python version >= 2.2 FAILED"的问题,在目录xen-3.0.2-2/tools/check下打开check_python,查看最后一行如下:
python -V 2>&1 | cut -d ' ' -f 2 | grep -q -E '^2.2|^2.3|^2.4' || error
而我的python版本是2.5.2的,所以将最后一行改为
python -V 2>&1 | cut -d ' ' -f 2 | grep -q -E '^2.2|^2.3|^2.4|^2.5' || error
保存即可。

关于“Checking check_zlib_devel:*** Check for zlib headers FAILED”的问题,在目录xen-3.0.2-2/tools/check下打开check_zlib_devel。查看最后一行如下:
set -e
[ -e /usr/include/zlib.h ] || error
看来只有找一个zlib.h文件放到/usr/include目录下即可。但是,如果没找对,则会引起一系列后续的错误。 :em19
怎么办???


页首
 用户资料  
 
3 楼 
 文章标题 : Re: xen3.0.2 编译
帖子发表于 : 2008-11-26 21:05 

注册: 2008-11-25 19:47
帖子: 53
送出感谢: 0 次
接收感谢: 0 次
:em21

别人在rhel5下面一次就成功了——我搞了两天多!!! :em85

难道真的是操作系统的原因么? :em83


页首
 用户资料  
 
4 楼 
 文章标题 : Re: xen3.0.2 编译
帖子发表于 : 2008-11-30 19:55 

注册: 2008-01-02 13:39
帖子: 27
送出感谢: 0 次
接收感谢: 0 次
是的。。。。新系统内核不再支持半虚拟化了。。。。我都郁闷好久了
难道非得买新电脑么???


页首
 用户资料  
 
5 楼 
 文章标题 : Re: xen3.0.2 编译
帖子发表于 : 2008-11-30 19:58 

注册: 2008-01-02 13:39
帖子: 27
送出感谢: 0 次
接收感谢: 0 次
是的。。。。新系统内核不再支持半虚拟化了。。。。我都郁闷好久了
难道非得买新电脑么???


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 5 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 3 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译